[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TShapeType

TShapeType - enumerated type containing several standard geometric shapes

## Declaration

Source position: extctrls.pp line 389

`type TShapeType = (`
`stRectangle,` |  |
`stSquare,` |  |
`stRoundRect,` |  |
`stRoundSquare,` |  |
`stEllipse,` |  |
`stCircle,` |  |
`stSquaredDiamond,` |  |
`stDiamond` |  |
`);`

## Description

TShapeType - enumerated type containing several standard geometric shapes:

    stRectangle
      stSquare
      stRoundRect
      stRoundSquare
      stEllipse
      stCircle
      stSquaredDiamond
      stDiamond

The latest version of this document can be found at lazarus-ccr.sourceforge.net.